package cn.com.countrygarden.bi.main.dao.marketing;

import cn.com.countrygarden.bi.main.core.Mapper;
import cn.com.countrygarden.bi.main.model.marketing.Quota;

import java.util.List;
import java.util.Map;


public interface QuotaMapper extends Mapper<Quota> {

    Quota findByUk(Map<String, Object> param);
    Quota sum(Map<String, Object> param);

    List<Quota> search(Map<String, Object> param);

    boolean softDelete(Map<String, Object> param);

    Quota sumByYear(Short year);
}